<template>

  <div style="padding: 0; margin: 0;">
    <section class="hero tile has-background-dark center is-fullheight" style="">
      <div class="content">
        <p class="title has-text-light has-text-centered">Paramètres de l'application</p>
        <div class="content">
          <div class="field">
            <label class="label has-text-light">Intervalle de Rafraîchissement (en secondes)</label>
            <div class="control">
              <input v-model="intervalle" class="input is-large is-rounded" type="number" min="0.1">
            </div>
          </div>

          <div class="field">
            <label class="label has-text-light">Température Maximale</label>
            <div class="control">
              <input v-model="tempMax" class="input is-large is-rounded" type="number" min="-273.15">
            </div>
          </div>

          <div class="field">
            <label class="label has-text-light">Pression Maximale</label>
            <div class="control">
              <input v-model="pressMax" class="input is-large is-rounded" type="number">
            </div>
          </div>

          <div class="field">
            <div class="control">
              <a class="input button is-large is-primary is-rounded" @click="resetParametres">Restaurer les valeurs par défaut</a>
            </div>
          </div>

        </div>
      </div>
    </section>

    <Footer />

  </div>

</template>

<script>
  import Footer from "~/components/Footer.vue";

  export default {
    name: "Dashboard",

    components: {
      Footer
    },

    computed: {
      intervalle: {
        get()  {
          return this.$store.state.parametres.intervalle / 1000
        },
        set(intervalle) {
          this.$store.dispatch('parametres/setIntervalle', intervalle)
        }
      },
      tempMax: {
        get()  {
          return this.$store.state.parametres.temperatureMaximale
        },
        set(temperatureMaximale) {
          this.$store.dispatch('parametres/setTemperatureMaximale', temperatureMaximale)
        }
      },
      pressMax: {
        get()  {
          return this.$store.state.parametres.pressionMaximale
        },
        set(pressionMaximale) {
          this.$store.dispatch('parametres/setPressionMaximale', pressionMaximale)
        }
      }
    },

    methods: {
      resetParametres() {
        this.$store.dispatch('parametres/resetParametres')
      }
    }
  }
</script>
